## flake8-cognitive-complexity 0.1.0

=== Makefile ===
check:
	flake8 .
	mypy .
	python -m pytest --cov=flake8_cognitive_complexity --cov-report=xml
	mdl README.md

=== debian/changelog ===
flake8-cognitive-complexity (0.1.0-3) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 14:56:11 +0100

flake8-cognitive-complexity (0.1.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Jul 2022 07:13:02 +0100

flake8-cognitive-complexity (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014614)

 -- Edward Betts <edward@4angle.com>  Fri, 08 Jul 2022 21:34:19 +0100

=== debian/control ===
Source: flake8-cognitive-complexity
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-cognitive-complexity,
               python3-pytest,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/Melevir/flake8-cognitive-complexity
Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-cognitive-complexity
Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-cognitive-complexity.git

Package: python3-flake8-cognitive-complexity
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: flake8 plugin that validates cognitive complexity
 Cognitive complexity is an analog of cyclomatic complexity, it measures
 how difficult it is to understand a piece of code.
 .
 This plugin allows flake8 to validate cognitive complexity.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flake8-cognitive-complexity
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf flake8_cognitive_complexity.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-cognitive-complexity, python3-pytest, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flake8-cognitive-complexity-$1\.tar\.gz/ \
  https://github.com/Melevir/flake8-cognitive-complexity/tags .*/v?(\d\S+)\.tar\.gz
